Subject: Re: [SWIPL] Calling prolog from C

From: Jan Wielemaker <[email-masked]>
Date: Sat, 16 Feb 2002 11:31:18 +0100

>   I am using pl-5.0.1 on a linux machine.
> Is it possible to call the prolog engine from C code initially?  Or do I
> have to call my C prog from prolog first.  Also, if the above is
> possible, I am assuming that including SWI-Prolog.h is not enough and
> that I need to link some kind of prolog library when compiling my c
> program.  I can't seem to find this library.  Any path hints or even
> just the name of the lib?

Have a look at `embedding', the plld linker front-end and
PL_initialise().  It's very simple on a well-supported platform.

	Cheers --- Jan